$s.bind = function(C, A, B) {
	if (C) {
		return C.addEventListener ? C.addEventListener(A, B, false) : C.attachEvent("on" + A, B)
	}
};
$s.unbind = function(C, A, B) {
	if (C) {
		return C.removeEventListener ? C.removeEventListener(A, B, false) : C.detachEvent("on" + A, B)
	}
};
$s.stopEvent = function(A) {
	return function(B) {
		B = window.event || B;
		if (B.stopPropagation) {
			B.stopPropagation()
		} else {
			B.cancelBubble = true
		}
		return A()
	}
};
$s.pos = function(B) {
	var A = B.offsetLeft,
	C = B.offsetTop;
	while (B = B.offsetParent) {
		A += B.offsetLeft;
		C += B.offsetTop
	}
	return [A, C]
};
$s.getScrollTop = function() {
	var A = 0;
	if (window.pageYOffset) {
		A = window.pageYOffset
	} else {
		if (document.documentElement && document.documentElement.scrollTop) {
			A = document.documentElement.scrollTop
		} else {
			if (document.body) {
				A = document.body.scrollTop
			}
		}
	}
	return A
};
$s.$c = function(B, C) {
	var A = $s.$d.createElement(B);
	if (C) {
		if (C == "head") {
			$s.$d.getElementsByTagName("head")[0].appendChild(A)
		} else {
			if (C.appendChild) {
				C.appendChild(A)
			}
		}
	} else {
		$s.$d.body.appendChild(A)
	}
	return A
};
$s.setCookie = function(C, E, A, H, D, G) {
	var B = new Date();
	var F = new Date(B.getTime() + A);
	document.cookie = C + "=" + escape(E) + ((A) ? "; expires=" + F.toGMTString() : "") + ((H) ? "; path=" + H: "") + ((D) ? "; domain=" + D: "") + ((G) ? "; secure": "")
};
$s.getCookie = function(C) {
	var B = document.cookie;
	var E = C + "=";
	var D = B.indexOf("; " + E);
	if (D == -1) {
		D = B.indexOf(E);
		if (D != 0) {
			return null
		}
	} else {
		D += 2
	}
	var A = document.cookie.indexOf(";", D);
	if (A == -1) {
		A = B.length
	}
	return unescape(B.substring(D + E.length, A))
};
$s.deleteCookie = function(A, C, B) {
	if ($s.getCookie(A)) {
		document.cookie = A + "=" + ((C) ? "; path=" + C: "") + ((B) ? "; domain=" + B: "") + "; expires=Thu, 01-Jan-70 00:00:01 GMT"
	}
};
$s_ext = function(A) {
	if (A) {
		A()
	}
};